com.holonplatform.core.i18n

## Interface Localizable.Builder<B extends Localizable.Builder<B>>

- Type Parameters:
    `B` - Concrete builder type
  All Known Subinterfaces:
    BeanProperty.Builder<T>, BooleanProperty.BooleanPropertyBuilder, CollectionPathProperty.Builder<E,C,P,B>, CollectionProperty.Builder<E,C,P,B>, ListPathProperty.ListPathPropertyBuilder<T>, ListVirtualProperty.ListVirtualPropertyBuilder<T>, Localizable.LocalizableBuilder, NumericProperty.NumericPropertyBuilder<N>, PathProperty.Builder<T,P,B>, PathProperty.PathPropertyBuilder<T>, Property.Builder<T,P,B>, PropertyBoxProperty.PropertyBoxPropertyBuilder, SetPathProperty.SetPathPropertyBuilder<T>, SetVirtualProperty.SetVirtualPropertyBuilder<T>, StringProperty.StringPropertyBuilder, TemporalProperty.TemporalPropertyBuilder<T>, VirtualProperty.Builder<T,P,B>, VirtualProperty.VirtualPropertyBuilder<T>
  Enclosing interface:
    Localizable

      public static interface Localizable.Builder<B extends Localizable.Builder<B>>

  Base interface for `Localizable` building

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `message(Localizable localizable)` Set the message localization attributes cloning them from given `Localizable`.
    `B` | `message(String defaultMessage)` Set the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
    `B` | `messageArguments(Object... arguments)` Set the arguments to use for message localization.
    `B` | `messageCode(String messageCode)` Set the message code to use to obtain a localized message

- - ### Method Detail

    - #### messageCode

          B messageCode(String messageCode)

      Set the message code to use to obtain a localized message
      Parameters:
        `messageCode` - Message code to set
      Returns:
        this

    - #### message

          B message(String defaultMessage)

      Set the default message to use if a `Localizable.getMessageCode()` is not available or a localized message which corresponds to the message code cannot be found or no localization handler is available for message translation.
      Parameters:
        `defaultMessage` - Default message to set
      Returns:
        this

    - #### messageArguments

          B messageArguments(Object... arguments)

      Set the arguments to use for message localization.

      Arguments resolution process is dependend from concrete localization handler. For example, a predefined argument placeholder character may be used to define arguments substitution positions within the localized message.

      Parameters:
        `arguments` - Message localization arguments
      Returns:
        this

    - #### message

          B message(Localizable localizable)

      Set the message localization attributes cloning them from given `Localizable`.

      NOTE: current message localization attributes (message, message code and attributes) will be overriden by the given `localizable` attributes values.

      Parameters:
        `localizable` - The `Localizable` instance form which to clone the message localization attributes (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.